import 'package:app/global/theme/base/app_theme_ext.dart';
import 'package:flutter/material.dart';

class GCard extends StatelessWidget {
  final Widget child;

  const GCard({super.key, required this.child});

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: EdgeInsets.all(context.pagePadding),
      decoration: BoxDecoration(
        color: Theme.of(context).colorScheme.surfaceContainerHigh,
        borderRadius: BorderRadius.circular(8),
        boxShadow: [
          BoxShadow(
            color: Theme.of(context).colorScheme.shadow,
            blurRadius: 9,
            offset: const Offset(0, 4),
          ),
        ],
      ),
      child: child,
    );
  }
}
